Update key components on your Linux server to latest versions: security & reliability

$79
1
Delivery in
7 days

  • Views 569
  • 1
   
  • 1

What you get with this Hourlie

Do you manage your own Linux-based server (e.g. CentOS, Ubuntu)?

If so, it's vital that your server software is kept up to date. Security vulnerabilities are found - and exploited - often, with bugs fixed and new features added on a regular basis.

If you care about security and reliability - and you're keen to get your site's software up to date but are not sure what to do - this Hourlie is for you.

I'm a UK-based web developer and server administrator working extensively in this area:

I will update the following to their latest versions:

- Your server operating system within its current major version (eg CentOS 7)
- Your server management / control panel system to its latest version (available if you have cPanel or Plesk)
- Software packages which are installed on your system updatable via your OS package manager
- Apache web server, within its current major version (2.2 or 2.4)
- PHP to 7.x
- MySQL to 5.6

Important - by ordering this Hourlie you are confirming your understanding of and agreement to this:

- This Hourlie does NOT include a check as to whether websites, web applications, databases and other things running on your server will be compatible with the newer versions of the components detailed above
- This Hourlie does NOT include any work to make websites, web applications, databases and other things running on your server compatible with the newer versions of the components detailed above
- This Hourlie does NOT include checks for / work on websites, web applications, databases and other things in terms of their own security vulnerabilities (please contact me via PPH to enquire about getting this done)
- You should take a full backup of everything on your server (either an 'image' backup of the drive, or all files and databases) before ordering this Hourlie
- It is not possible to revert the software components detailed above to older versions
- You can ask me not to update any of the items in the list of components above (eg PHP) if for example you know there would be a problem with updating that specific thing. You MUST specify it as soon as you have ordered your Hourlie.
- You need to be sure that your websites, web applications and other services will work with the new components, or that you have plans in place to update them to make them compatible, or that you ask for things in the list above to be excluded.

I hope I can help you make your server more secure and reliable.

Get more with Hourlie Add-ons

  • I can deliver all work in 2 working days
    +$66

What the Seller needs to start the work

To get started, I'll need:

- Full, unrestricted access to your server via SSH
- Access to your control panel software, if it is installed on your computer
- Details of any items on the updates list that you'd like me to exclude (it would be helpful to know why you want any particular exclusion)